Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 667148 - www-servers/apache-2.4.35 - Failed to set capabilities on file `/var/tmp/portage/www-servers/apache-2.4.35/image//usr/sbin/suexec' (Operation not supported)
Summary: www-servers/apache-2.4.35 - Failed to set capabilities on file `/var/tmp/port...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Apache Team - Bugzilla Reports
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-27 10:41 UTC by Juergen Rose
Modified: 2019-08-19 06:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,442.42 KB, text/plain)
2018-09-27 10:41 UTC, Juergen Rose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2018-09-27 10:41:35 UTC
Created attachment 548020 [details]
build.log

'MAKEOPTS=-j1   emerge -v1 apache' fails with:
...
Installing CGIs
Installing header files
Failed to set capabilities on file `/var/tmp/portage/www-servers/apache-2.4.35/image//usr/sbin/suexec' (Operation not supported)
usage: setcap [-q] [-v] (-r|-|<caps>) <filename> [ ... (-r|-|<capsN>) <filenameN> ]

 Note <filename> must be a regular (non-symlink) file.
make[1]: *** [Makefile:291: install-suexec-caps] Error 1
make[1]: Leaving directory '/var/tmp/portage/www-servers/apache-2.4.35/work/httpd-2.4.35'
make: *** [/var/tmp/portage/www-servers/apache-2.4.35/work/httpd-2.4.35/build/rules.mk:75: install-recursive] Error 1
 * ERROR: www-servers/apache-2.4.35::gentoo failed (install phase):




root@condor:/root(13)# emerge --info '=www-servers/apache-2.4.35::gentoo'
Portage 2.3.49 (python 2.7.15-final-0, default/linux/amd64/17.0/desktop, gcc-8.2.0, glibc-2.27-r6, 4.18.9-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.18.9-gentoo-x86_64-Intel-R-_Core-TM-2_CPU_6600_@_2.40GHz-with-gentoo-2.6
KiB Mem:     7061240 total,   1099988 free
KiB Swap:   25173848 total,  24280152 free
Timestamp of repository gentoo: Thu, 27 Sep 2018 08:00:01 +0000
Head commit of repository gentoo: 5a158677cd637676afe4a04bd3de83e5d385a912
sh bash 4.4_p23
ld GNU ld (Gentoo 2.31.1 p3) 2.31.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.4_p23::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15-r100::sage-on-gentoo, 3.6.6::gentoo, 3.7.0::gentoo
dev-util/cmake:           3.11.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.30-r3::gentoo, 2.31.1-r1::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo, 8.2.0-r3::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.17::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage_condor
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

local
    location: /usr/local/portage
    masters: gentoo
    priority: 0

g-cpan
    location: /var/lib/cpan
    masters: gentoo
    priority: 1

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    masters: gentoo science
    priority: 50

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 50

x11
    location: /var/lib/layman/x11
    masters: gentoo
    priority: 50

Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL Intel-SDP dlj-1.1 skype-eula skype-4.0.0.7-copyright googleearth AdobeFlash-11.x cadsoft Oracle-BCLA-JavaSE MakeMKV-EULA NVIDIA-CUDA Nero-AAC-EULA GIMPS"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs clean-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ rsync://ftp.fi.muni.cz/pub/linux/gentoo ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo rsync://gd.tuwien.ac.at/opsys/linux/gentoo ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.tu-clausthal.de/pub/linux/gentoo http://gentoo.oregonstate.edu"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en fr ru"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 amr ao apache2 apng applet archive armadillo arpack asf aspell assistant atlas audiofile aufs automap automount barcode bash-completion berkdb blas blast bluetooth bluray boost branding btrfs bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cgi chm cilk clang cli cmake collada consolekit contrib crypt css cups curl cxx daap db dbi dbm dbus declarative designer devhelp device-mapper dga dia digitalradio djvu doc dot dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evdev evo examples excel exif expat extensions extra extras faac faad fam fbcon fbcondecor ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpm fpx ftp fuse gcj gd gdal gdbm gedit geoip geolocation geos gfortran gif gimp git glade glamor glib glpk gml gmp gnome gnome-keyring gnuplot gnutls gold gphoto2 gpm grammar graphics graphtft graphviz grass gsl gsm gstreamer gtk gtk3 gudev guile hddtemp hdf hdf5 hdri html http httpd hvm hwdb iconv icq icu id3tag ide imagemagick imap inotify introspection ipod ipv6 irda ithreads jadetex java jbig jit john jpeg jpeg2k kate kde kdepim kdrive kerberos keymap kpathsea kvm ladspa lame lapack latex lcms ldap lensfun libffi libgda libkms libnotify libsamplerate libtirpc lm_sensors lua lzma lzo mad mail maildir mapnik math matroska media-library mercurial mikmod mng mod modules mono motif mozilla mp3 mp4 mpeg mpi mpi-threads mplayer mtp multilib multimedia musepack musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networking nfs nls nntp nptl nsplugin ntfs ntp numpy obex objc ocaml ocr octave odbc ofa ogdi ogg opencl openexr opengl openmp openvg pam pango pcre pda pdf pdl2 perl plasma plotutils plugins png podcast policykit portaudio posix postgres postscript ppds ppp preview-latex proj projectm pstricks pulseaudio python q16 q32 qemu qhull qml qt5 quicktime raw readline reiserfs reports rle romio rpc rrdcgi rrdtool rtlsdr sage samba sasl schroedinger science sdk sdl seccomp secure-delete server session shout sip slang slp smart smbclient smp sms sndfile snmp soap sockets sound soup sox speex spell sql sqlite ssl startup-notification stlport subtitles subversion sudo suexec svg svm swig systemd szip t1lib tbb tcl tcpd tex tex4ht theora thesaurus threads thunderbird tidy tiff tk tools truetype udev udisks unicode upower usb utempter v4l v4l2 vaapi vala valgrind vdpau video vim-syntax virt-network virtualbox visio vorbis vpx vtk wav wayland webdav webdav-serf webkit wmf wxwidgets x264 x265 xa xattr xcb xen xetex xft xine xml xmlreader xmlrpc xpm xv xvid xvmc yaml youtube zlib zsh-completion zvbi" ABI_X86="64" ALSA_CARDS="intel8x0" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_core authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm so socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="karbon plan sheets stage words" CAMERAS="canon fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog sensors thermal" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="aivdm ashtech earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 navcom ntrip oceanserver oncore rtcm104v2 rtcm104v3 sirf superstar2 tnt tripmate tsip ublox nmea0183 nmea2000 passthrough" GRUB_PLATFORMS="emu efi-64 pc xen" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="de en fr ru" LCD_DEVICES="cfontz hd44780 mtxorb ncurses X lcd2usb lcdlinux png usblcd SureElec" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="AMDGPU X86" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="radeon radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS




 root@condor:/root(14)# emerge -pqv '=www-servers/apache-2.4.35::gentoo'
[ebuild     U ] www-servers/apache-2.4.35 [2.4.34-r2] USE="doc gdbm ldap ssl suexec suexec-caps threads -debug -libressl (-selinux) -static -suexec-syslog" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_core authn_dbd authn_dbm authn_file authz_core authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config logio mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias -access_compat -asis -authn_alias -authz_dbd -brotli -cache_disk -cache_socache -cern_meta -cgi -charset_lite -dumpio -http2 -lbmethod_bybusyness -lbmethod_bytraffic -lbmethod_heartbeat -log_forensic -macro -md -proxy_fcgi -proxy_ftp -proxy_html -proxy_scgi -proxy_wstunnel -ratelimit -remoteip -reqtimeout -substitute -version -watchdog -xml2enc" APACHE2_MPMS="worker -event -prefork"
Comment 1 Larry the Git Cow gentoo-dev 2018-09-27 11:17:01 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ee9937deef58e61f21052300c45f8cfcd7d335d

commit 9ee9937deef58e61f21052300c45f8cfcd7d335d
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2018-09-27 11:15:17 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2018-09-27 11:16:54 +0000

    apache-2.eclass: Work around broken AC_ARG_ENABLE logic.
    
    Bug: https://bugs.gentoo.org/667148

 eclass/apache-2.eclass | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2018-09-27 11:19:47 UTC
The above commit only fixes the USE="suexec-caps -suexec-syslog" issue.
Te underlying issue still is not fixed but will only occur with USE="suexec-caps suexec-syslog".
Any chance you don't have XATTR enabled for your filesystem(s)?
Comment 3 Juergen Rose 2018-09-27 13:55:44 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #2)
> The above commit only fixes the USE="suexec-caps -suexec-syslog" issue.
> Te underlying issue still is not fixed but will only occur with
> USE="suexec-caps suexec-syslog".
> Any chance you don't have XATTR enabled for your filesystem(s)?

XATTR seems to be enabled for ext filesystems:

root@condor:/root(28)# zgrep -i xattr /proc/config
CONFIG_EXT2_FS_XATTR=y
CONFIG_REISERFS_FS_XATTR=y
CONFIG_TMPFS_XATTR=y
# CONFIG_SQUASHFS_XATTR is not set
CONFIG_CIFS_XATTR=y


/var/tmp is a ext2 filesystem:

root@condor:/root(29)# df -T
Filesystem                Type     1K-blocks      Used Available Use% Mounted on
none                      tmpfs      3530620      1788   3528832   1% /run
udev                      devtmpfs     10240         0     10240   0% /dev
tmpfs                     tmpfs      3530620     74720   3455900   3% /dev/shm
/dev/md126                ext4     131980708  50516904  74736540  41% /
tmpfs                     tmpfs      3530620         0   3530620   0% /sys/fs/cgroup
/dev/sda5                 ext2         23797       204     22365   1% /mnt/rescue
/dev/mapper/vg1-distfiles ext2      16772008  13675304   2257844  86% /usr/local/portage/distfiles_condor
/dev/mapper/vg1-src       ext4      61796348   9282900  49351340  16% /usr/src_condor
/dev/mapper/vg1-tmp       ext2      11712068     33412  11083712   1% /tmp
/dev/mapper/vg1-portage   ext2       3668770    737666   2721389  22% /usr/portage_condor
/dev/mapper/vg1-home      ext4     528316088 479782060  21674100  96% /home
/dev/mapper/vg1-var       ext3       8125880   4723788   2982668  62% /var
/dev/mapper/vg1-opt       ext3       8125880   1099088   6607364  15% /opt
/dev/mapper/vg1-vtmp      ext2      33027952  16489408  14860824  53% /var/tmp
/dev/mapper/vg1-ftp       xfs      134152192 117840168  16312024  88% /home/ftp
tmpfs                     tmpfs       706124        32    706092   1% /run/user/1203
tmpfs                     tmpfs       706124         0    706124   0% /run/user/0


But there is not any attrbut set for /var/tmp:

root@condor:/root(27)# lsattr /var/tmp
------------------- /var/tmp/lost+found
------------------- /var/tmp/binpkgs
------------------- /var/tmp/alsaconf.cards
------------------- /var/tmp/cross
------------------- /var/tmp/emerge-webrsync
------------------- /var/tmp/gbrowse2
------------------- /var/tmp/g-cpan
------------------- /var/tmp/genkernel
------------------- /var/tmp/kdecache-root
------------------- /var/tmp/kdecache-rose
------------------- /var/tmp/kdecache-rose1gqyAB
------------------- /var/tmp/kdecache-roselJECSk
------------------- /var/tmp/kdecache-roseTsrP7b
------------------- /var/tmp/kdecache-roseugizcr
------------------- /var/tmp/lmhttp.log
------------------- /var/tmp/logcheck
------------------- /var/tmp/paludis
------------------- /var/tmp/portage
------------------- /var/tmp/usb_inst.log
------------------- /var/tmp/usb_inst.tmp
------------------- /var/tmp/systemd-private-1059cf23f8f442ed9ddbb8ba2ad795c9-systemd-networkd.service-y3r3ks
------------------- /var/tmp/systemd-private-1059cf23f8f442ed9ddbb8ba2ad795c9-systemd-resolved.service-8JM3mQ
------------------- /var/tmp/systemd-private-1059cf23f8f442ed9ddbb8ba2ad795c9-clamd.service-4qrhVl
------------------- /var/tmp/tmpgxOdm6
------------------- /var/tmp/systemd-private-1059cf23f8f442ed9ddbb8ba2ad795c9-ntpd.service-JZsDMZ
------------------- /var/tmp/systemd-private-1059cf23f8f442ed9ddbb8ba2ad795c9-colord.service-OJCTTB
------------------- /var/tmp/kdecache-rose_test
------------------- /var/tmp/kdecache-roses6GE73


On my other systems the "e" attribut is set and the filesystem is ext4.
root@lynx:/root(1)# lsattr /var/tmp
--------------e---- /var/tmp/lost+found
--------------e---- /var/tmp/portage
--------------e---- /var/tmp/systemd-private-95389bb7aa0648468282d3508569e76b-colord.service-WrwckW
--------------e---- /var/tmp/genkernel
--------------e---- /var/tmp/systemd-private-95389bb7aa0648468282d3508569e76b-rtkit-daemon.service-uk5GY2
--------------e---- /var/tmp/systemd-private-95389bb7aa0648468282d3508569e76b-ntpd.service-8jBkGP
--------------e---- /var/tmp/systemd-private-95389bb7aa0648468282d3508569e76b-clamd.service-UNvGvv
--------------e---- /var/tmp/systemd-private-95389bb7aa0648468282d3508569e76b-systemd-resolved.service-KtpNEN
--------------e---- /var/tmp/systemd-private-95389bb7aa0648468282d3508569e76b-systemd-networkd.service-oeTXEH
--------------e---- /var/tmp/systemd-private-95389bb7aa0648468282d3508569e76b-upower.service-el6bF4
root@lynx:/root(2)# df -T | grep /var/tmp
/dev/nvme0n1p3           ext4      122569320     709364 115590672   1% /var/tmp
/dev/mapper/vg-vtmp      ext4       39089600    1071204  36072640   3% /mnt/backup/var/tmp



If I understand this correctly the e flag is autmatically set for ext4 filesystems. Should I convert /var/tmp to ext4?
Comment 4 Juergen Rose 2018-10-01 11:01:21 UTC
After formatting /var/tmp as ext4 the issue disappeared.
Comment 5 Rolf Eike Beer archtester 2019-08-19 06:02:22 UTC
This still happens in my test chroot with 2.4.41 on hppa for the following build:

 * USE:        apache2_modules_asis apache2_modules_auth_form apache2_modules_authn_anon apache2_modules_authn_dbd apache2_modules_authn_dbm apache2_modules_authz_core apache2_modules_authz_dbm apache2_modules_authz_owner apache2_modules_cache apache2_modules_dbd 
apache2_modules_deflate apache2_modules_dir apache2_modules_filter apache2_modules_ident apache2_modules_imagemap apache2_modules_include apache2_modules_lbmethod_byrequests apache2_modules_lbmethod_bytraffic apache2_modules_log_config apache2_modules_log_forensic
 apache2_modules_logio apache2_modules_mime apache2_modules_proxy apache2_modules_proxy_ajp apache2_modules_proxy_balancer apache2_modules_proxy_ftp apache2_modules_proxy_http apache2_modules_proxy_scgi apache2_modules_proxy_wstunnel apache2_modules_remoteip apach
e2_modules_session apache2_modules_slotmem_shm apache2_modules_socache_shmcb apache2_modules_version apache2_modules_watchdog apache2_mpms_prefork elibc_glibc hppa kernel_linux ldap ssl static suexec suexec-caps suexec-syslog userland_GNU
 * FEATURES:   network-sandbox preserve-libs sandbox userpriv usersandbox
 * 
 * Selected MPM: prefork
 * 
 * You can manipulate several configure options of suexec
 * through the following environment variables:
 * 
 *  SUEXEC_SAFEPATH: Default PATH for suexec (default: '/usr/local/bin:/usr/bin:/bin')
 *    SUEXEC_CALLER: Name of the user Apache is running as (default: apache)
 *   SUEXEC_DOCROOT: Directory in which suexec will run scripts (default: '/var/www')
 *    SUEXEC_MINUID: Minimum UID, which is allowed to run scripts via suexec (default: 1000)
 *    SUEXEC_MINGID: Minimum GID, which is allowed to run scripts via suexec (default: 100)
 *   SUEXEC_USERDIR: User subdirectories (like /home/user/html) (default: public_html)
 *     SUEXEC_UMASK: Umask for the suexec process (default: 077)

The filesystem is like this:

Filesystem revision #:    1 (dynamic)
Filesystem features:      has_journal ext_attr resize_inode dir_index filetype needs_recovery extent 64bit flex_bg sparse_super large_file huge_file uninit_bg dir_nlink extra_isize
Filesystem flags:         signed_directory_hash 
Default mount options:    user_xattr acl